const simplemde = new SimpleMDE({
    element: document.getElementById("textarea-content"),
    autoDownloadFontAwesome: false,
    autofocus: true,
    autosave: false,
    forceSync: true, // ?
    indentWithTabs: false,
    initialValue: document.getElementById("textarea-content").value,
    lineWrapping: true,
    status: false,
    toolbar: false,
    toolbarTips: false,
    spellChecker: false,
    renderingConfig: {
        singleLineBreaks: true,
        codeSyntaxHighlighting: true,
    }
});

window.addEventListener("load", () => {
    simplemde.codemirror.refresh();
    const textAreaContent = document.getElementById("textarea-content");
    const buttonSave = document.getElementById("button-save");
    simplemde.codemirror.on("change", function(){
        buttonSave.removeAttribute("disabled");
    });
    buttonSave.addEventListener("click", () => {
        const formData = new FormData();
        formData.append("csrfmiddlewaretoken", buttonSave.getAttribute("csrf"));
        formData.append("content", textAreaContent.value);
        fetch(buttonSave.getAttribute("action"), {
            method: "POST",
            body: formData
        }).then(() => {
            buttonSave.setAttribute("disabled", true);
        });
    });
});